umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | List of all members
DocbookGeneratorJob Class Reference

Generates DocBook from the Document. More...

`#include <docbookgeneratorjob.h>`

Inheritance diagram for DocbookGeneratorJob:

## Signals
void | docbookGenerated (const QString &url)

## Public Member Functions
| DocbookGeneratorJob (QObject *parent)

## Protected Member Functions
void | run ()

## Detailed Description

Generates DocBook from the Document.

This class is used to generate docbook from the document. It emits the name of the temporary file to which it as generated the docbook as output. It runs in a separate thread.

Author
  Sharan Rao Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ DocbookGeneratorJob()

DocbookGeneratorJob::DocbookGeneratorJob | ( | QObject * | parent | ) |
| explicit

## Member Function Documentation

## ◆ docbookGenerated

void DocbookGeneratorJob::docbookGenerated | ( | const QString & | url | ) |
| signal

## ◆ run()

void DocbookGeneratorJob::run | ( |  | ) |
| protected

The documentation for this class was generated from the following files:

- umbrello/docgenerators/docbookgeneratorjob.h
- umbrello/docgenerators/docbookgeneratorjob.cpp